package com.kingdee.eas.custom.synctask.handler;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.Context;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.eas.custom.synctask.SyncTranForOAFacadeFactory;
import com.kingdee.eas.custom.synctask.utils.SynctaskUtils;
import com.kingdee.eas.hr.org.web.handler.OrgUnitListHandler;
import com.kingdee.shr.base.syssetting.context.SHRContext;
import com.kingdee.shr.base.syssetting.exception.SHRWebException;
import org.apache.log4j.Logger;
import org.springframework.ui.ModelMap;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 * @author qingwu
 * @date 2024/10/21
 * @apiNote
 */
public class OrgUnitListHandlerEx extends OrgUnitListHandler {
    Logger logger = Logger.getLogger(OrgUnitListHandlerEx.class);
    private Context ctx = SHRContext.getInstance().getContext();

    public void syncOrgUnitToOAAction(HttpServletRequest request, HttpServletResponse response, ModelMap modelMap) throws BOSException, EASBizException {
        String billIds = request.getParameter("billIds");
        //ͬ֯OA
        SyncTranForOAFacadeFactory.getLocalInstance(ctx).syncOrgUnitToOA(billIds, null);
    }
}
